# Create a workspace

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

To create a workspace, use:

[<mark style="background-color:green;">**POST**</mark>**&#x20;/api/Workspace**](https://app.tonic.ai/apidocs/index.html#/Workspace/CreateWorkspace)

In the request body, you provide the name and description for the new workspace:

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "name": "string",
  "description": "string"
}
</code></pre>

If the request to create the workspace is successful, the response returns `id`, the workspace identifier.

```json
{
  "id": "string"
}
```

You need the workspace identifier to make requests to update or run data generation jobs on the workspace.

For information on how to use the Structural application or API to retrieve the workspace identifier for an existing workspace, go to [getting-the-workspace-id](https://docs.tonic.ai/app/api/getting-the-workspace-id "mention").


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-create-workspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
